package tutorialJava.capitulo5.ejercicios.bloque03_clasesYMetodosAbstractos.vehiculos;

class Coche extends Vehiculo {
    public Coche(String modelo) {
        super(modelo);
    }

    @Override
    public void acelerar() {
        velocidadActual += 20; // Incrementa velocidad en 20
        System.out.println(modelo + " (Coche) acelera a " + velocidadActual + " km/h");
    }

    @Override
    public void frenar() {
        velocidadActual = Math.max(0, velocidadActual - 15); // Reduce velocidad en 15
        System.out.println(modelo + " (Coche) frena a " + velocidadActual + " km/h");
    }
}